> ## Documentation Index
> Fetch the complete documentation index at: https://nango.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Zoom

> Integrate your application with the Zoom API

## 🚀 Quickstart

Connect to Zoom with Nango and see data flow in 2 minutes.

**1. Create the integration**

In Nango ([free signup](https://app.nango.dev)), go to [Integrations](https://app.nango.dev/dev/integrations) -> *Configure New Integration* -> *Zoom*. Nango doesn't have a Nango-managed OAuth app for Zoom yet. You'll need to set up your own by following the setup guide linked below. After that, make sure to add the OAuth client ID, secret, and scopes in the integration settings in Nango.

**2. Authorize Zoom**

Go to [Connections](https://app.nango.dev/dev/connections) -> *Add Test Connection* -> *Authorize*, then log in to Zoom. Later, you'll let your users do the same directly from your app.

**3. Call the Zoom API**

Let's make your first request to the Zoom API. Replace the placeholders below with your [Environment API key](https://nango.dev/docs/reference/backend/http-api/api-keys.md), [integration ID](https://app.nango.dev/dev/integrations), and [connection ID](https://app.nango.dev/dev/connections):

> [tab] cURL
>
> ```bash theme={null}
> curl "https://api.nango.dev/proxy/users" \
>   -H "Authorization: Bearer <NANGO-API-KEY>" \
>   -H "Provider-Config-Key: <INTEGRATION-ID>" \
>   -H "Connection-Id: <CONNECTION-ID>"
> ```

> [tab] Node
>
> Install Nango's backend SDK with `npm i @nangohq/node`. Then run:
>
> ```typescript theme={null}
> import { Nango } from '@nangohq/node';
>
> const nango = new Nango({ apiKey: '<NANGO-API-KEY>' });
>
> const res = await nango.get({
>     endpoint: '/users',
>     providerConfigKey: '<INTEGRATION-ID>',
>     connectionId: '<CONNECTION-ID>'
> });
>
> console.log(res.data);
> ```

Or fetch credentials with the [Node SDK](https://nango.dev/docs/reference/backend/backend-sdk/node.md#get-a-connection-with-credentials) or [API](https://nango.dev/docs/reference/backend/http-api/connections/get.md).

✅ You're connected! Check the [Logs](https://app.nango.dev/dev/logs) tab in Nango to inspect requests.

**4. Implement Nango in your app**

Follow our [Auth implementation guide](https://nango.dev/docs/guides/primitives/auth.md) to integrate Nango in your app.

To obtain your own credentials, follow the setup guide linked below.

## 📚 Zoom Integration Guides

Nango maintained guides for common use cases.

* [How to register your own Zoom OAuth app](https://nango.dev/docs/api-integrations/zoom/how-to-register-your-own-zoom-api-oauth-app)\
  Register an OAuth app with Zoom and obtain credentials to connect it to Nango

* [How to set up webhooks with Zoom on Nango](https://nango.dev/docs/api-integrations/zoom/webhooks)\
  Receive real-time notifications for meeting, webinar, and recording events

Official docs: [Zoom API docs](https://developers.zoom.us/docs/api/)

## 🧩 Pre-built syncs & tools for Zoom

Explore Nango-provided tools in your dashboard. Extend and customize them to fit your needs.

### Others

| Function name | Description | Type |
| - | - | - |
| `create-meeting-registrant` | Create a meeting registrant in Zoom. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-meeting` | Create a meeting in Zoom. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-user` | Create a user in Zoom | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-webinar` | Create a webinar in Zoom. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-meeting-registrant` | Delete or archive a meeting registrant in Zoom. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-meeting` | Delete or archive a meeting in Zoom. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-recording` | Delete or archive a recording in Zoom. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-user` | Delete or archive a user in Zoom. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-webinar` | Delete or archive a webinar in Zoom. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-current-user` | Fetch the authenticated Zoom user profile. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-meeting-registrant` | Retrieve a single meeting registrant from Zoom. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-meeting` | Retrieve a single meeting from Zoom. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-recording` | Retrieve a single recording from Zoom. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-user` | Retrieve a single user from Zoom. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-webinar` | Retrieve a single webinar from Zoom. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-meeting-registrants` | List meeting registrants from Zoom. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-meetings` | List meetings from Zoom. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-recordings` | List recordings from Zoom. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-users` | List users from Zoom. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-webinars` | List webinars from Zoom. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-meeting-registrant` | Update a meeting registrant status in Zoom. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-meeting` | Update a meeting in Zoom. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-user` | Update a user in Zoom. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-webinar` | Update a webinar in Zoom. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `meetings` | Sync meetings from Zoom. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `recordings` | Sync recordings from Zoom. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `users` | Sync users from Zoom. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `webinars` | Sync webinars from Zoom. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |

***


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.